Bug 822552 - Add info how to add classloading dependency on an application
Add info how to add classloading dependency on an application
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0
Unspecified Unspecified
unspecified Severity low
: ---
: EAP 6.0.1
Assigned To: Dana Mison
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 10:57 EDT by Ondrej Chaloupka
Modified: 2013-03-20 21:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Skynet Build: http://skynet.cloud.lab.eng.bne.redhat.com:8080/TopicIndex/CustomSearchTopicList.seam?query&tag19=1&tag119=1&catint5=And&tag133=1&tag132=1&tag14=0&topicHasBugzillaBugs=false&topicHasOpenBugzillaBugs=false&logic=and Build Filter: Skynet Docbook Building Service 20120222-1110 Build Name:
Last Closed: 2013-03-20 21:56:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2012-05-17 10:57:48 EDT
http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6/html/Beta_Documentation/Classloading_Application_Development.html

I think that it would be fine to mention that it's possible to add classloading dependency not only on modules but on a deployed application.

I mean something how it's explained on AS7 documentation site:
https://docs.jboss.org/author/display/AS71/Class+Loading+in+AS7

That you can use deployment.* like:
<!-- Adds a dependency on a ejb jar. This could also be done with a Class-Path entry -->
<module name="deployment.myear.ear.myejbjar.jar" />
Comment 1 Dana Mison 2012-06-05 09:52:17 EDT
This is mentioned in the EAP6 Development Guide: http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6/html/Development_Guide/chap-Class_Loading_and_Modules.html

"dynamic modules" are described in section 3.3, and their naming scheme in 3.6
Comment 2 Dana Mison 2012-06-13 23:42:04 EDT
update: 

This is mentioned in the EAP6 Development Guide: http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6/html/Development_Guide/chap-Class_Loading_and_Modules.html

"dynamic modules" are described in section 3.1.3 and their naming scheme in section 3.1.7 respectively
Comment 3 Ondrej Chaloupka 2012-06-20 04:35:00 EDT
Ok, I'm sorry I overlooked that.

Note You need to log in before you can comment on or make changes to this bug.